package com.unis.crk.utils;

public class BusinessUtils {

	//简易仓、简易囤、罩棚的枚举ID(天津目前只有简易囤)3位编码是999
	private final static String JY_NUME_ID = "5214";

	//正常廒间的3位编码
	private final static String AJ_CODE = "001";

	//简易简易仓、简易囤、罩棚的3位廒间编码
	private final static String JY_CODE = "999";

	//简易简易仓、简易囤、罩棚的3位廒间编码
	private final static String YG_CODE = "000";

	//油罐
	private final static String IS_TANK = "1";

	

	/**
	 * 组合仓房/油罐标准编码
	 * 规则：仓房/油罐标准编码=所属单位18位统一信用代码+001+仓房/油罐3位编码
	 * @param dwbm 单位编码
	 * @param code 仓房或油罐编码
	 * @param typeCode 类型标识：0仓房,1油罐
	 * @param orgId 单位ID
	 * @return
	 */
	public static String setBZcfandygbm(String dwbm, String code, String typeCode, String orgId) {
		String cfdm = "";
		StringBuffer sbf = new StringBuffer();
		//sbf.append(dwbm).append("001").append(typeCode).append(code);
		if (orgId.length()==1) {
			sbf.append(dwbm).append("00").append(orgId);
		} else if (orgId.length()==2) {
			sbf.append(dwbm).append("0").append(orgId);
		} else if (orgId.length()==3) {
			sbf.append(dwbm).append(orgId);
		}
		sbf.append(typeCode).append(code);
		cfdm = sbf.toString().trim();
		return cfdm;
	}

	/**
	 * 组合廒间标准编码
	 * 规则：廒间标准编码=仓房/油罐标准编码+3位廒间编码
	 * @param cfbm 仓房/油罐标准编码
	 * @param cfType 仓房类型
	 * @param typeCode 类型标识：0仓房,1油罐
	 * @return
	 */
	public static String setBZajbm(String cfbm, String cfType, String typeCode) {

		String ajbm = "";

		StringBuffer sbf = new StringBuffer();
		sbf.append(cfbm);

		if (IS_TANK.equals(typeCode)) {
			sbf.append(YG_CODE);
		} else {
			if (JY_NUME_ID.equals(cfType)) {
				sbf.append(JY_CODE);
			} else {
				sbf.append(AJ_CODE);
			}
		}

		ajbm = sbf.toString().trim();

		return ajbm;
	}

	/**
	 * 组合货位标准编码
	 * 规则：货位标准编码=所属仓房编码+所属廒间编码+货位编码
	 * 也就是说廒间标准编码+货位编码就是货位的标准编码
	 * @param ajbm
	 * @param hwbm
	 * @return
	 */
	public static String setBZhwbm(String ajbm, String hwbm) {
		String hwdm = "";
		StringBuffer sbf = new StringBuffer();
		sbf.append(ajbm).append(hwbm);
		hwdm = sbf.toString().trim();
		return hwdm;
	}

	/**
	 * 组合库区标准编码
	 *
	 * @param zzdm 组织编码或18位统一性用社代码
	 * @param orgId 单位ID
	 * @return
	 */
	public static String setBZkqbm(String zzdm, Integer orgId) {
		String kqbm = "";
		StringBuffer sbf = new StringBuffer();
		sbf.append(zzdm);
		if (orgId.toString().length()==1) {
			sbf.append("00").append(orgId);
		} else if (orgId.toString().length()==2) {
			sbf.append("0").append(orgId);
		} else if (orgId.toString().length()==3) {
			sbf.append(orgId);
		}
		kqbm = sbf.toString().trim();
		return kqbm;
	}






}
